com.corticon.rulesemf.ast

## Interface RangeExpression

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, IConditionValue, IPrimaryExpression, org.eclipse.emf.common.notify.Notifier

      public interface RangeExpression
      extends IPrimaryExpression, IConditionValue

  A representation of the model object 'Range Expression'.

  The following features are supported:

  - `Left Inclusive`
  - `Right Inclusive`
  - `Left Expr`
  - `Right Expr`
  See Also:
    `AstPackage.getRangeExpression()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Expression` | `getLeftExpr()` Returns the value of the 'Left Expr' containment reference
    `java.lang.Boolean` | `getLeftInclusive()` Returns the value of the 'Left Inclusive' attribute
    `Expression` | `getRightExpr()` Returns the value of the 'Right Expr' containment reference
    `java.lang.Boolean` | `getRightInclusive()` Returns the value of the 'Right Inclusive' attribute
    `void` | `setLeftExpr(Expression value)` Sets the value of the '`Left Expr`' containment reference
    `void` | `setLeftInclusive(java.lang.Boolean value)` Sets the value of the '`Left Inclusive`' attribute
    `void` | `setRightExpr(Expression value)` Sets the value of the '`Right Expr`' containment reference
    `void` | `setRightInclusive(java.lang.Boolean value)` Sets the value of the '`Right Inclusive`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.ast.IPrimaryExpression

      `getType, setType`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLeftInclusive

          java.lang.Boolean getLeftInclusive()

      Returns the value of the 'Left Inclusive' attribute.

      If the meaning of the 'Left Inclusive' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Left Inclusive' attribute.
      See Also:
        `setLeftInclusive(Boolean)`, `AstPackage.getRangeExpression_LeftInclusive()`

    - #### setLeftInclusive

          void setLeftInclusive(java.lang.Boolean value)

      Sets the value of the '`Left Inclusive`' attribute.
      Parameters:
        `value` - the new value of the 'Left Inclusive' attribute.
      See Also:
        `getLeftInclusive()`

    - #### getRightInclusive

          java.lang.Boolean getRightInclusive()

      Returns the value of the 'Right Inclusive' attribute.

      If the meaning of the 'Right Inclusive' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Right Inclusive' attribute.
      See Also:
        `setRightInclusive(Boolean)`, `AstPackage.getRangeExpression_RightInclusive()`

    - #### setRightInclusive

          void setRightInclusive(java.lang.Boolean value)

      Sets the value of the '`Right Inclusive`' attribute.
      Parameters:
        `value` - the new value of the 'Right Inclusive' attribute.
      See Also:
        `getRightInclusive()`

    - #### getLeftExpr

          Expression getLeftExpr()

      Returns the value of the 'Left Expr' containment reference.

      If the meaning of the 'Left Expr' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Left Expr' containment reference.
      See Also:
        `setLeftExpr(Expression)`, `AstPackage.getRangeExpression_LeftExpr()`

    - #### setLeftExpr

          void setLeftExpr(Expression value)

      Sets the value of the '`Left Expr`' containment reference.
      Parameters:
        `value` - the new value of the 'Left Expr' containment reference.
      See Also:
        `getLeftExpr()`

    - #### getRightExpr

          Expression getRightExpr()

      Returns the value of the 'Right Expr' containment reference.

      If the meaning of the 'Right Expr' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Right Expr' containment reference.
      See Also:
        `setRightExpr(Expression)`, `AstPackage.getRangeExpression_RightExpr()`

    - #### setRightExpr

          void setRightExpr(Expression value)

      Sets the value of the '`Right Expr`' containment reference.
      Parameters:
        `value` - the new value of the 'Right Expr' containment reference.
      See Also:
        `getRightExpr()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.